Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.liquids
Class LiquidContainerData

    java.lang.Object
      net.minecraftforge.liquids.LiquidContainerData

    public class LiquidContainerData

extends Object

Field Summary
`ItemStack` | `container`
`ItemStack` | `filled`
`LiquidStack` | `movingLiquid` Deprecated.
`LiquidStack` | `stillLiquid`

Constructor Summary
`LiquidContainerData(int stillLiquidId, int movingLiquidId, Item filled)` Deprecated.
`LiquidContainerData(int stillLiquidId, int movingLiquidId, ItemStack filled)` Deprecated.
`LiquidContainerData(LiquidStack stillLiquid, ItemStack filled, ItemStack container)`
`LiquidContainerData(LiquidStack stillLiquid, LiquidStack movingLiquid, ItemStack filled, ItemStack container)` Deprecated.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stillLiquid

    public final LiquidStack stillLiquid

### movingLiquid

    @Deprecated
    public LiquidStack movingLiquid

  Deprecated.

### filled

    public final ItemStack filled

### container

    public final ItemStack container

Constructor Detail

### LiquidContainerData

    @Deprecated
    public LiquidContainerData(int stillLiquidId,
                                          int movingLiquidId,
                                          Item filled)

  Deprecated.

### LiquidContainerData

    @Deprecated
    public LiquidContainerData(int stillLiquidId,
                                          int movingLiquidId,
                                          ItemStack filled)

  Deprecated.

### LiquidContainerData

    public LiquidContainerData(LiquidStack stillLiquid,
                               ItemStack filled,
                               ItemStack container)

### LiquidContainerData

    @Deprecated
    public LiquidContainerData(LiquidStack stillLiquid,
                                          LiquidStack movingLiquid,
                                          ItemStack filled,
                                          ItemStack container)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD